"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@testing-library/react");
const Field_1 = tslib_1.__importDefault(require("../Field"));
const Form_1 = tslib_1.__importDefault(require("../Form"));
const index_1 = tslib_1.__importDefault(require("./index"));
require("@testing-library/jest-dom");
jest.useFakeTimers();
function DummyInput(props) {
    return ((0, jsx_runtime_1.jsx)("input", { value: props.value || '', onChange: e => props.onChange(e.target.value) }));
}
test('autoAddItem renders an empty item when value is empty', () => {
    const { container } = (0, react_1.render)((0, jsx_runtime_1.jsx)(Form_1.default, { children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "items", type: index_1.default, autoAddItem: true, children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "name", type: DummyInput }) }) }));
    expect(container.querySelectorAll('input')).toHaveLength(1);
});
test('renderProps provides the current index', () => {
    (0, react_1.render)((0, jsx_runtime_1.jsx)(Form_1.default, { state: { items: [{}] }, children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "items", type: index_1.default, renderProps: true, children: index => (0, jsx_runtime_1.jsxs)("div", { "data-testid": `item-${index}`, children: ["Item ", index] }) }) }));
    expect(react_1.screen.getByTestId('item-0')).toBeInTheDocument();
});
test('renderItem customizes each item element', () => {
    (0, react_1.render)((0, jsx_runtime_1.jsx)(Form_1.default, { state: { items: [{ name: 'A' }] }, children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "items", type: index_1.default, renderItem: (item, i) => (0, jsx_runtime_1.jsx)("div", { "data-testid": `custom-${i}`, children: item.name }) }) }));
    expect(react_1.screen.getByTestId('custom-0')).toHaveTextContent('A');
});
test('honors showAddButton and custom addLabel', () => {
    const { container } = (0, react_1.render)((0, jsx_runtime_1.jsx)(Form_1.default, { children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "items", type: index_1.default, showAddButton: false, addLabel: "Plus", children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "name", type: DummyInput }) }) }));
    expect(react_1.screen.queryByText('Plus')).not.toBeInTheDocument();
    expect(container.querySelector('.srf_addButton')).not.toBeInTheDocument();
});
test('honors showRemoveButton and custom removeLabel', () => {
    const { container } = (0, react_1.render)((0, jsx_runtime_1.jsx)(Form_1.default, { state: { items: [{}] }, children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "items", type: index_1.default, showRemoveButton: false, removeLabel: "Del", children: (0, jsx_runtime_1.jsx)(Field_1.default, { fieldName: "name", type: DummyInput }) }) }));
    expect(react_1.screen.queryByText('Del')).not.toBeInTheDocument();
    expect(container.querySelector('.srf_removeButton')).not.toBeInTheDocument();
});
//# sourceMappingURL=additional.test.js.map