"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const getNewValue_1 = tslib_1.__importDefault(require("./getNewValue"));
test('supports updater functions', () => {
    const original = { counter: 1 };
    const result = (0, getNewValue_1.default)(original, 'counter', n => (n || 0) + 1);
    expect(result).toEqual({ counter: 2 });
    expect(original).toEqual({ counter: 1 });
});
test('creates nested objects when missing', () => {
    const result = (0, getNewValue_1.default)({}, 'person.name.first', 'John');
    expect(result).toEqual({ person: { name: { first: 'John' } } });
});
test('throws if path expects object but finds primitive', () => {
    expect(() => (0, getNewValue_1.default)({ person: 5 }, 'person.name', 'John')).toThrow('Expected plain object for key person');
});
//# sourceMappingURL=getNewValue.additional.test.js.map