"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("@testing-library/react");
const react_2 = tslib_1.__importDefault(require("react"));
const Contexts_1 = require("./Contexts");
const useValue_1 = tslib_1.__importDefault(require("./useValue"));
require("@testing-library/jest-dom");
function DisplayValue() {
    const value = (0, useValue_1.default)();
    return (0, jsx_runtime_1.jsx)("div", { "data-testid": "value", children: String(value) });
}
test('useValue returns the current context value', () => {
    (0, react_1.render)((0, jsx_runtime_1.jsx)(Contexts_1.ValueContext.Provider, { value: "context-value", children: (0, jsx_runtime_1.jsx)(DisplayValue, {}) }));
    expect(react_1.screen.getByTestId('value')).toHaveTextContent('context-value');
});
test('useValue updates when the context value changes', () => {
    function Wrapper() {
        const [val, setVal] = react_2.default.useState('first');
        return ((0, jsx_runtime_1.jsxs)(Contexts_1.ValueContext.Provider, { value: val, children: [(0, jsx_runtime_1.jsx)("button", { onClick: () => setVal('second'), children: "change" }), (0, jsx_runtime_1.jsx)(DisplayValue, {})] }));
    }
    (0, react_1.render)((0, jsx_runtime_1.jsx)(Wrapper, {}));
    expect(react_1.screen.getByTestId('value')).toHaveTextContent('first');
    react_1.fireEvent.click(react_1.screen.getByText('change'));
    expect(react_1.screen.getByTestId('value')).toHaveTextContent('second');
});
//# sourceMappingURL=useValue.test.js.map