"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const isReactNative_1 = tslib_1.__importDefault(require("./isReactNative"));
test('returns false in default browser environment', () => {
    expect((0, isReactNative_1.default)()).toBe(false);
});
test('detects React Native when navigator.product is ReactNative', () => {
    const original = global.navigator;
    Object.defineProperty(global, 'navigator', {
        value: { product: 'ReactNative' },
        configurable: true,
        enumerable: true,
        writable: true,
    });
    expect((0, isReactNative_1.default)()).toBe(true);
    Object.defineProperty(global, 'navigator', {
        value: original,
        configurable: true,
        enumerable: true,
        writable: true,
    });
});
test('returns false when navigator is undefined', () => {
    const original = global.navigator;
    Object.defineProperty(global, 'navigator', {
        value: undefined,
        configurable: true,
        enumerable: true,
        writable: true,
    });
    expect((0, isReactNative_1.default)()).toBe(false);
    Object.defineProperty(global, 'navigator', {
        value: original,
        configurable: true,
        enumerable: true,
        writable: true,
    });
});
//# sourceMappingURL=isReactNative.test.js.map